Error when adding new category or version from the New Issue page
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.0

Description

We have Redmine 1.4.0.stable (MySQL) running on the Apache.

It had been possible to add a new category or version directly from the New Issue page until (I believe) I disabled the Support tracker

for the current project. After that, neither category nor version can't be added (the dialog just dismisses), and the log contains the

following messages.

Maybe it's not the Support tracker, however, since enabling it back or turning off completely doesn't help.

Processing IssuesController#new (for 192.168.147.102 at 2012-04-27 17:06:48) [GET]

Parameters: {"action"=>"new", "project_id"=>"cfc", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/new

Completed in 414ms (View: 299, DB: 90) | 200 OK [http://--address--/projects/cfc/issues/new]

Processing ApplicationController#index (for 192.168.147.102 at 2012-04-27 17:07:00) [POST]

Parameters: {"category"=>{"name"=>"test"}}

ActionController::MethodNotAllowed (Only get requests are allowed.):

passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.12) helper-scripts/passenger-spawn-server:99

History

#1 - 2012-04-27 13:22 - Vladimir Sinenko

Here is our configuration:

OS: Red Hat Enterprise Linux Server release 5.7 (Tikanga)

mysql-server-5.0.77-4.el5_6.6

ruby 1.8.7 (2012-02-08 patchlevel 358) [i686-linux]

Gems included by the bundle:   * actionmailer (2.3.14)   * actionpack (2.3.14)   * activerecord (2.3.14)   * activeresource (2.3.14)   * activesupport

2025-05-03 1/2

http://--address--/projects/cfc/issues/new


(2.3.14)   * bundler (1.0.21)   * coderay (1.0.6)   * fastercsv (1.5.4)   * i18n (0.4.2)   * json (1.6.6)   * mysql (2.8.1)   * net-ldap (0.3.1)   * rack (1.1.3)   *

rails (2.3.14)   * rake (0.9.2.2)   * rdoc (3.12)   * ruby-openid (2.1.8)   * tzinfo (0.3.33)

redmine-1.4.0

#2 - 2012-04-27 18:40 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Maybe it's not the Support tracker, however, since enabling it back or turning off completely doesn't help.

 No it's not. It's a routing issue but I can't reproduce. Any plugins installed?

#3 - 2012-04-28 04:51 - Vladimir Sinenko

- Status changed from New to Resolved

Jean-Phillipe, thanks for the reply. Yes, this problem was caused by the default-version plugin (http://www.redmine.org/plugins/default-version).

We have disabled it and Redmine works smoothly.

I'm sorry for wasting your time. Thanks for the great product!

#4 - 2012-04-28 09:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed

No problem. Thanks for the feedback.
